Description

Supportanfrage

In the ADTF3 examples I see that in CMake file we have 

adtf_use_qt(Widgets Gui)

 Currently I am using in my CMake file 

adtf_use_qt(Core Gui Network Xml)

 but in my filter I still get an error when I try to include the following in the header file (see attached picture).

Lösung

the CMake Macro is provided within UI SDK of ADTF, so you can use it after a find_package.

After you have to link your target modern cmake like, this should export the targets and inlcude the header.

Something like...

# ...

find_package(ADTF COMPONENTS filtersdk ui)

adtf_use_qt(Widgets)

adtf_add_filter( #...

target_link_libraries(${EXAMPLE_TARGETNAME} PUBLIC adtf::ui Qt5::Widgets)

# ...

Something like this.  Just have a look at all our qt dependend examples and their cmake files.

https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_adtfui_pkg.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_examples_ui_sdk.html

History

#1 - 2021-05-31 15:07 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::ConanCMakeMisc

#4 - 2021-06-01 08:48 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic changed from ADTF::ConanCMakeMisc to ADTF::UI
https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_adtfui_pkg.html
https://support.digitalwerk.net/adtf/v3/adtf_html/page_examples_ui_sdk.html


Hi Ali,

the CMake Macro is provided within UI SDK of ADTF, so you can use it after a find_package.

After you have to link your target modern cmake like, this should export the targets and inlcude the header.

Something like...

# ...

find_package(ADTF COMPONENTS filtersdk ui)

adtf_use_qt(Widgets)

adtf_add_filter( #...

target_link_libraries(${EXAMPLE_TARGETNAME} PUBLIC adtf::ui Qt5::Widgets)

# ...

Something like this.  Just have a look at all our qt dependend examples and their cmake files.

https://support.digitalwerk.net/adtf/v3/adtf_html/mainpage_adtfui_pkg.html

https://support.digitalwerk.net/adtf/v3/adtf_html/page_examples_ui_sdk.html

#5 - 2021-06-01 09:10 - hidden

thanks, it solves the issue

#6 - 2021-06-01 09:18 - hidden

- Project changed from 5 to Public Support

- Subject changed from ADTF3: QT support in CMAKE  to Qt Cmake support within ADTF

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
